# Need package "expss" to input variable and value labels using the 
# commands/codes below.

install.packages("expss")
library(expss)

# to input variable labels
var_lab(CIT) = "Citizenship Status"

# to input value labels
val_lab(CIT) = num_lab("
                       1 Born in the US
                       2 Born in Puerto Rico, Guam, the US Virgin Islands, or the Northern Marianas 
                       3 Born abroad of American parent(s) 
                       4 US citizen by naturalization
                       5 Not a citizen of the US
                       ")

# to find out whether there is already a variable label
# var_lab(  )
var_lab(CIT)

# to find out whether there is already a value label system inputted
# val_lab(   )
val_lab(CIT)

# "NULL" means that there is no variable label.

# to check if it worked, generate a cross tabulation (a table)
cro(CIT)

# to print variable names and variable labels
metadata <- data.frame(attr('CEO2018', "names"), attr('CEO2018', "var.labels"))
names(CEO2018) <- c("var.name", "var.label")
head(CEO2018)